Get Member Points
curl --request GET \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/{profileId}/member-points', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "",
"errors": {},
"data": [
{
"totalPoints": 300,
"pointsByType": [
{
"pointType": "Base",
"points": 300,
"subType": null
}
],
"pointsBalance": {
"memberPointsEarned": 600,
"memberPointsDeducted": 100,
"memberPointsUsed": 100,
"memberPointsExpired": 100,
"memberPointsAvailable": 300,
"memberPointsLocked": 100
},
"breakdown": {
"totalPoints": 300,
"totalCurrencyValue": 150,
"unrestrictedPoints": {
"totalCurrencyValue": 100,
"totalPoints": 200,
"unrestrictedPointsItems": [
{
"points": 200,
"pointType": "Base"
}
]
},
"restrictedPoints": {
"totalPoints": 100,
"totalCurrencyValue": 50,
"restrictedPointsItems": [
{
"points": 100,
"pointType": "Base",
"restrictedLocation": "4321"
}
]
}
}
}
]
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Inquire
Get Member Points
Gets all active and pending (excluding expired) member points along with the points breakdown.
GET
/
v1
/
inquire
/
{profileId}
/
member-points
Get Member Points
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Profile ID. It is generated in the response of the Enroll Member endpoint - POST /v1/members.
Was this page helpful?
⌘I
